export declare class Char {
    static isUpper(char: string, index?: number): boolean;
    static isLower(char: string, index?: number): boolean;
    static isLetter(char: string, index?: number): boolean;
    static isDigit(char: string | number, index?: number): boolean;
    static isLetterOrDigit(char: string, index?: number): boolean;
    static toLower(char: string): string;
    static toUpper(char: string): string;
    static isWhitespace(char: string, index?: number, allowNbsp?: boolean): boolean;
    private static checkLetter;
    static getUnicodeCategory(char: string, index?: number): number;
    static isControl(char: string, index?: number): boolean;
}
